<?php 
require_once 'app/template/admin/header.phtml';
require_once 'app/template/admin/menu_top.phtml';
require_once 'app/template/admin/menu_sidebar.phtml'; 

?>

<div class="row">
    <div class="col-md-10 col-md-offset-1">
        <br>
        <div class="panel panel-primary">
            <div class="panel-heading" align="center"><b>RELATÓRIO LICENÇA</b></div>
            <div class="panel-body"> 
                <p><b>Fantasia:</b> <?php echo $dados1[0]['nmFantasia']?></p>
                <p><b>Apelido:</b> <?php echo $dados1[0]['apelido']?></p>
                <div class="row">
                    <div class="col-md-4"><p><b>CNPJ:</b> <?php echo $dados1[0]['cnpj']?></p></div>
                    <div class="col-md-3"><p><b>Status:</b> <?php echo $dados1[0]['tpStatus']=='1'?"<label style='color:green'>Ativo</label>":"<label style='color:red'>Bloqueado</label>"; ?></p></div>
                    <div class="col-md-3"><p><b>Qtd Dispositivos:</b> <?php echo $dados1[0]['qtdDispositivos']?></p></div>                    
                </div>
                <?php $frenteLoja = substr($dados1[0]['tpPerfil'],0,1); ?>
                <?php $fiscal     = substr($dados1[0]['tpPerfil'],1,1); ?>
                <?php $retaguarda = substr($dados1[0]['tpPerfil'],2,2); ?>
                <p><b>Módulos de Uso:</b> 
                    <?php if($frenteLoja == "1"){echo "Frente de Loja,";}?>    
                    <?php if($fiscal == "1"){echo "Fiscal,";}?>
                    <?php if($retaguarda == "1"){echo "Retaguarda";}?>    
                </p>
                <p align="center"><b>HISTÓRICO LICENÇA</b></p>                
                <div class="panel-group" id="accordion">
                <?php $i=1; $exibirInicial = 0;?>    
                <?php foreach($dados2 as $historico): ?>
                    <?php if(($historico['tipo'] == 'Liberado') || ($historico['tipo'] == 'Renovação')):?>
                    <div class="panel panel-success">
                    <?php endif; ?>
                    <?php if($historico['tipo'] == 'Correção'):?>
                    <div class="panel panel-warning">
                    <?php endif; ?>
                    <?php if($historico['tipo'] == 'Bloqueio'):?>
                    <div class="panel panel-danger">
                    <?php endif; ?>   
                    <?php if($historico['tipo'] == 'Licença Inicial'):?>
                    <div class="panel panel-info">
                    <?php endif; ?>   
                    <?php if($historico['tipo'] == 'Licença Alterada'):?>
                    <div class="panel panel-info">
                    <?php endif; ?>     
                    <?php if($historico['tipo'] == 'Chave Licença'):?>
                    <div class="panel panel-success">
                    <?php endif; ?>      
                                                
                        <div class="panel-heading" data-toggle="collapse" data-parent="#accordion" href="<?php echo '#collapse'.$i ?>" style="cursor: pointer">
                            <h4 class="panel-title">                                
                                 <?php echo $historico['tipo']." - ".$historico['data']; ?>                                     
                            </h4>
                        </div>
                        <div id="<?php echo 'collapse'.$i ?>" class="panel-collapse collapse">
                            <div class="panel-body">
                                <p><b>Evento:</b> <?php echo $historico['tipo'] ?></p>
                                <?php if(($historico['tipo'] == 'Renovação') || ($historico['tipo'] == 'Correção') || ($historico['tipo'] == 'Licença Inicial') || (($historico['tipo'] == 'Chave Licença'))): ?>
                                <p><b>Dias:</b> <?php echo $historico['dias']; ?></p>
                                <?php endif; ?>                                                                
                                
                                <?php if($historico['tpPerfil'] != ''): ?>
                                <p><b>Módulos de Uso:</b> 
                                    <?php echo $historico['tpPerfil']; ?>    
                                </p>                              
                                <?php endif; ?>
                                <?php if (($historico['qtdDispositivos'] != '') && ($historico['tipo'] != "Renovação") && ($historico['tipo'] != "Bloqueio") && ($historico['tipo'] != "Liberado") && ($historico['tipo'] != "Correção")): ?>                                
                                <p><b>Quant Dispositivos: </b> <?php echo $historico['qtdDispositivos']; ?></p>                                
                                <?php endif; ?>
                                
                                <p><b>Responsável:</b> <?php echo $historico['resposavel']; ?></p>
                                
                                <?php if ($historico['observacao'] != ''): ?>                                
                                <p><b>Observação: </b> <?php echo $historico['observacao']; ?></p>                                
                                <?php endif; ?>
                                
                                <p><b>Em: </b><?php echo $historico['data_hora']; ?></p>
                            </div>
                        </div>
                    </div>   
                <?php $i++; ?>    
                <?php endforeach; ?>                    
                </div>                   
            </div>
        </div>
    </div>
</div>
       
<?php require_once 'app/template/admin/footer.phtml'; ?>
<script src="<?php echo DIR_JS."jqueryForm.min.js" ?>"></script>
<script src="<?php echo DIR_JS."mask_input.js" ?>"></script>
<script src="<?php echo DIR_JS_APP."validarFormCadastroCliente.js" ?>"></script>
